## evolution 3.44.4

=== CMakeLists.txt ===
# Evolution build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution
	VERSION 3.44.4
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
set(PROJECT_URL "http://wiki.gnome.org/Apps/Evolution/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.44)

# Used for pkg-config files
set(INTERFACE_VERSION 3.0)

math(EXPR _is_devel_version "${PROJECT_VERSION_MINOR}%2")
if(_is_devel_version EQUAL 1)
	math(EXPR _minor "${PROJECT_VERSION_MINOR}-1")
	if(_minor EQUAL -1)
		set(_minor 98)
		math(EXPR _major "${PROJECT_VERSION_MAJOR}-1")
	else(_minor EQUAL -1)
		set(_major ${PROJECT_VERSION_MAJOR})
	endif(_minor EQUAL -1)

	set(STABLE_VERSION "${_major}.${_minor}")
	set(APPDATA_RELEASE_TYPE "development")
else(_is_devel_version EQUAL 1)
	unset(STABLE_VERSION)
	set(APPDATA_RELEASE_TYPE "stable")
endif(_is_devel_version EQUAL 1)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GTK_DOC=ON
	-DENABLE_CONTACT_MAPS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DWITH_HELP=ON
	-DWITH_GLADE_CATALOG=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.56)
set(glib_encoded_version GLIB_VERSION_2_56)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.22)
set(gdk_encoded_version GDK_VERSION_3_22)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.42)
set(soup_encoded_version SOUP_VERSION_2_42)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(enchant1_minimum_version 1.6.0)
set(enchant2_minimum_version 2.2.0)
set(gcr_minimum_version 3.4)
set(gdk_pixbuf_minimum_version 2.24.0)
set(gnome_desktop_minimum_version 2.91.3)
set(gsettings_desktop_schemas_minimum_version 2.91.92)
set(libpst_minimum_version 0.6.54)
set(libxml_minimum_version 2.7.3)
set(shared_mime_info_minimum_version 0.22)
set(webkit2gtk_minimum_version 2.28.0)
set(sqlite_minimum_version 3.7.17)

# Optional Packages
set(champlain_minimum_version 0.12)
set(clutter_gtk_minimum_version 0.90)
set(geocode_glib_minimum_version 3.10)
set(gladeui_minimum_version 3.10.0)
set(gnome_autoar_minimum_version 0.1.1)
set(gweather_minimum_version 3.10)
set(gweather4_minimum_version 3.91.0)
set(libcanberra_gtk_minimum_version 0.25)
set(libnotify_minimum_version 0.7)
set(libunity_minimum_version 7.1.4)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")
add_printable_variable_path(MAN_INSTALL_DIR "Install directory for manual pages, defaults to SHARE_INSTALL_PREFIX/man" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")
ensure_default_value(MAN_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/man")

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(errordir "${privdatadir}/errors")
set(etspecdir "${privdatadir}/etspec")
set(evolutionhelpdir "${privdatadir}/help")
set(icondir "${privdatadir}/icons")
set(imagesdir "${privdatadir}/images")
set(moduledir "${privlibdir}/modules")
set(plugindir "${privlibdir}/plugins")
set(soundsdir "${privdatadir}/sounds")
set(uidir "${privdatadir}/ui")
set(viewsdir "${privdatadir}/views")
set(webkitdatadir "${privdatadir}/webkit")
set(webextensionsdir "${privlibdir}/web-extensions")
set(webextensionswebkiteditordir "${webextensionsdir}/webkit-editor")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(GtkDoc)
include(IconCache)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)
include(FindLDAP)
include(FindSMIME)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_variable(VERSION_SUBSTRING "Version substring, for packagers" "")
add_printable_variable(VERSION_COMMENT "Define if you want a comment appended to the version number" "")

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(X11/XF86keysym.h HAVE_XFREE)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# Check for nl_langinfo features
# ******************************

CHECK_C_SOURCE_COMPILES("#include <langinfo.h>
			int main(void) { char *detail = nl_langinfo (_NL_MEASUREMENT_MEASUREMENT); return 0; }" HAVE__NL_MEASUREMENT_MEASUREMENT)

# ******************************
# Dependencies
# ******************************

if(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-windows-2.0")
else(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-unix-2.0")
endif(WIN32)

add_printable_option(ENABLE_ALARM_NOTIFY_MODULE "Enable the 'alarm-notify' module" ON)

add_printable_option(ENABLE_GNOME_DESKTOP "Enable GNOME desktop dependency for thumbnails" ON)

if(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "gnome-desktop-3.0")
	set(HAVE_GNOME_DESKTOP ON)

	# It's checked for it twice, this one gives a hint to disable the dependency if not found
	pkg_check_modules_for_option(ENABLE_GNOME_DESKTOP "GNOME desktop dependency for thumbnails" GNOME_DESKTOP ${GNOME_DESKTOP_DEPENDENCY}>=${gnome_desktop_minimum_version})
else(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "")
	set(HAVE_GNOME_DESKTOP OFF)
endif(ENABLE_GNOME_DESKTOP)

pkg_check_modules(GNOME_PLATFORM REQUIRED
	cairo-gobject
	gail-3.0>=${gdk_minimum_version}
	gcr-3>=${gcr_minimum_version}
	gdk-pixbuf-2.0>=${gdk_pixbuf_minimum_version}
	gio-2.0>=${glib_minimum_version}
	${GIO_UNIX_REQUIREMENT}
	gmodule-2.0>=${glib_minimum_version}
	${GNOME_DESKTOP_DEPENDENCY}
	gsettings-desktop-schemas>=${gsettings_desktop_schemas_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
	libxml-2.0>=${libxml_minimum_version}
	shared-mime-info>=${shared_mime_info_minimum_version}
	webkit2gtk-4.0>=${webkit2gtk_minimum_version}
)

pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED
	camel-1.2>=${eds_minimum_version}
	libebook-1.2>=${eds_minimum_version}
	libecal-2.0>=${eds_minimum_version}
	libedataserver-1.2>=${eds_minimum_version}
	libedataserverui-1.2>=${eds_minimum_version}
	libebackend-1.2>=${eds_minimum_version}
)

pkg_check_modules(A11Y REQUIRED atk)
pkg_check_modules(LIBSOUP REQUIRED libsoup-2.4>=${soup_minimum_version})
pkg_check_modules(WEB_EXTENSION REQUIRED webkit2gtk-4.0>=${webkit2gtk_minimum_version})
pkg_check_modules(SQLITE3 REQUIRED sqlite3>=${sqlite_minimum_version})

pkg_check_variable(EDS_SOURCES_DBUS_SERVICE_NAME evolution-data-server-1.2 sourcesdbusservicename)
pkg_check_variable(E_DATA_SERVER_ICONDIR evolution-data-server-1.2 icondir)

# ******************************
# Enchant - support both, but better to use the same as the dependencies (gspell, webkitgtk+,...)
# ******************************

add_printable_variable(WITH_ENCHANT_VERSION "Set Enchant version to use" "auto")
set(enchant_version_values auto 1 2)
set_property(CACHE WITH_ENCHANT_VERSION PROPERTY STRINGS ${enchant_version_values})

if(WITH_ENCHANT_VERSION STREQUAL "1")
	pkg_check_modules(ENCHANT REQUIRED enchant>=${enchant1_minimum_version})
else(WITH_ENCHANT_VERSION STREQUAL "1")
	if(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT REQUIRED enchant-2>=${enchant2_minimum_version})
	else(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT enchant>=${enchant1_minimum_version})
		if(ENCHANT_FOUND)
			set(WITH_ENCHANT_VERSION "auto (enchant-1)")
		else(ENCHANT_FOUND)
			unset(ENCHANT_FOUND)
			pkg_check_modules(ENCHANT enchant-2>=${enchant2_minimum_version})
			if(ENCHANT_FOUND)

=== data/icons/CMakeLists.txt ===
set(public_icons
	hicolor_apps_16x16_evolution-mail.png
	hicolor_apps_16x16_evolution-memos.png
	hicolor_apps_16x16_evolution-tasks.png
	hicolor_apps_22x22_evolution-mail.png
	hicolor_apps_22x22_evolution-memos.png
	hicolor_apps_22x22_evolution-tasks.png
	hicolor_apps_24x24_evolution-mail.png
	hicolor_apps_24x24_evolution-memos.png
	hicolor_apps_24x24_evolution-tasks.png
	hicolor_apps_32x32_evolution-mail.png
	hicolor_apps_32x32_evolution-memos.png
	hicolor_apps_32x32_evolution-tasks.png
	hicolor_apps_48x48_evolution-mail.png
	hicolor_apps_48x48_evolution-memos.png
	hicolor_apps_48x48_evolution-tasks.png
	hicolor_apps_scalable_evolution.svg
	hicolor_apps_scalable_evolution-symbolic.svg
)

# hicolor_status_16x16_wrapped.png was copied from Firefox
# (toolkit/themes/gnomestripe/global/icons/wrap.png), which
# contained the following notice:
#
#     All files in this directory are assumed to be licensed under the
#     tri-license (MPL/GPL/LGPL) used throughout this codebase.
#
# There is no corresponding SVG file. */

set(private_icons
	hicolor_apps_16x16_contact-editor.png
	hicolor_apps_16x16_im-aim.png
	hicolor_apps_16x16_im-icq.png
	hicolor_apps_16x16_im-jabber.png
	hicolor_apps_16x16_im-matrix.png
	hicolor_apps_16x16_im-msn.png
	hicolor_apps_16x16_im-nov.png
	hicolor_apps_16x16_im-yahoo.png
	hicolor_apps_22x22_contact-editor.png
	hicolor_apps_22x22_im-aim.png
	hicolor_apps_22x22_im-icq.png
	hicolor_apps_22x22_im-jabber.png
	hicolor_apps_22x22_im-matrix.png
	hicolor_apps_22x22_im-msn.png
	hicolor_apps_22x22_im-nov.png
	hicolor_apps_22x22_im-yahoo.png
	hicolor_apps_24x24_contact-editor.png
	hicolor_apps_24x24_im-aim.png
	hicolor_apps_24x24_im-icq.png
	hicolor_apps_24x24_im-jabber.png
	hicolor_apps_24x24_im-matrix.png
	hicolor_apps_24x24_im-msn.png
	hicolor_apps_24x24_im-nov.png
	hicolor_apps_24x24_im-yahoo.png
	hicolor_apps_32x32_contact-editor.png
	hicolor_apps_48x48_contact-editor.png
	hicolor_apps_128x128_contact-editor.png
	hicolor_apps_scalable_evolution-mail-symbolic.svg
	hicolor_apps_scalable_evolution-memos-symbolic.svg
	hicolor_apps_scalable_evolution-tasks-symbolic.svg
	hicolor_apps_scalable_im-aim.svg
	hicolor_apps_scalable_im-icq.svg
	hicolor_apps_scalable_im-jabber.svg
	hicolor_apps_scalable_im-matrix.svg
	hicolor_apps_scalable_im-msn.svg
	hicolor_apps_scalable_im-nov.svg
	hicolor_apps_scalable_im-yahoo.svg
	hicolor_actions_16x16_folder-copy.png
	hicolor_actions_16x16_folder-move.png
	hicolor_actions_16x16_mail-archive.png
	hicolor_actions_16x16_mail-copy.png
	hicolor_actions_16x16_mail-move.png
	hicolor_actions_16x16_go-today.png
	hicolor_actions_16x16_view-calendar-day.png
	hicolor_actions_16x16_view-calendar-list.png
	hicolor_actions_16x16_view-calendar-month.png
	hicolor_actions_16x16_view-calendar-week.png
	hicolor_actions_16x16_view-calendar-workweek.png
	hicolor_actions_22x22_go-today.png
	hicolor_actions_22x22_view-calendar-day.png
	hicolor_actions_22x22_view-calendar-list.png
	hicolor_actions_22x22_view-calendar-month.png
	hicolor_actions_22x22_view-calendar-week.png
	hicolor_actions_22x22_view-calendar-workweek.png
	hicolor_actions_24x24_go-today.png
	hicolor_actions_24x24_mail-archive.png
	hicolor_actions_24x24_query-free-busy.png
	hicolor_actions_24x24_view-calendar-day.png
	hicolor_actions_24x24_view-calendar-list.png
	hicolor_actions_24x24_view-calendar-month.png
	hicolor_actions_24x24_view-calendar-week.png
	hicolor_actions_24x24_view-calendar-workweek.png
	hicolor_actions_32x32_view-calendar-day.png
	hicolor_actions_32x32_view-calendar-list.png
	hicolor_actions_32x32_view-calendar-month.png
	hicolor_actions_32x32_view-calendar-week.png
	hicolor_actions_32x32_view-calendar-workweek.png
	hicolor_actions_scalable_accessories-text-editor-symbolic.svg
	hicolor_actions_scalable_folder-saved-search-symbolic.svg
	hicolor_actions_scalable_go-today-symbolic.svg
	hicolor_actions_scalable_mail-archive-symbolic.svg
	hicolor_actions_scalable_mail-inbox-symbolic.svg
	hicolor_actions_scalable_mail-mark-junk-symbolic.svg
	hicolor_actions_scalable_mail-mark-not-junk-symbolic.svg
	hicolor_actions_scalable_mail-outbox-symbolic.svg
	hicolor_actions_scalable_mail-sent-symbolic.svg
	hicolor_actions_scalable_markdown-bold.svg
	hicolor_actions_scalable_markdown-bold-dark.svg
	hicolor_actions_scalable_markdown-bullets.svg
	hicolor_actions_scalable_markdown-bullets-dark.svg
	hicolor_actions_scalable_markdown-code.svg
	hicolor_actions_scalable_markdown-code-dark.svg
	hicolor_actions_scalable_markdown-emoji.svg
	hicolor_actions_scalable_markdown-emoji-dark.svg
	hicolor_actions_scalable_markdown-header.svg
	hicolor_actions_scalable_markdown-header-dark.svg
	hicolor_actions_scalable_markdown-help.svg
	hicolor_actions_scalable_markdown-help-dark.svg
	hicolor_actions_scalable_markdown-italic.svg
	hicolor_actions_scalable_markdown-italic-dark.svg
	hicolor_actions_scalable_markdown-link.svg
	hicolor_actions_scalable_markdown-link-dark.svg
	hicolor_actions_scalable_markdown-numbers.svg
	hicolor_actions_scalable_markdown-numbers-dark.svg
	hicolor_actions_scalable_markdown-quote.svg
	hicolor_actions_scalable_markdown-quote-dark.svg
	hicolor_actions_scalable_stock_insert-note-symbolic.svg
	hicolor_actions_scalable_stock_insert-rule-symbolic.svg
	hicolor_actions_scalable_stock_insert-table-symbolic.svg
	hicolor_actions_scalable_stock_people-symbolic.svg
	hicolor_actions_scalable_stock_shared-by-me-symbolic.svg
	hicolor_actions_scalable_stock_shared-to-me-symbolic.svg
	hicolor_actions_scalable_stock_signature-symbolic.svg
	hicolor_actions_scalable_stock_signature-bad-symbolic.svg
	hicolor_actions_scalable_stock_signature-ok-symbolic.svg
	hicolor_actions_scalable_stock_task-symbolic.svg
	hicolor_actions_scalable_stock_task-assigned-symbolic.svg
	hicolor_actions_scalable_stock_task-assigned-to-symbolic.svg
	hicolor_actions_scalable_user-trash-symbolic.svg
	hicolor_actions_scalable_view-calendar-day.svg
	hicolor_actions_scalable_view-calendar-day-symbolic.svg
	hicolor_actions_scalable_view-calendar-list.svg
	hicolor_actions_scalable_view-calendar-list-symbolic.svg
	hicolor_actions_scalable_view-calendar-month.svg
	hicolor_actions_scalable_view-calendar-month-symbolic.svg
	hicolor_actions_scalable_view-calendar-week.svg
	hicolor_actions_scalable_view-calendar-week-symbolic.svg
	hicolor_actions_scalable_view-calendar-workweek.svg
	hicolor_actions_scalable_view-calendar-workweek-symbolic.svg
	hicolor_actions_scalable_x-office-address-book-symbolic.svg
	hicolor_actions_scalable_x-office-calendar-symbolic.svg
	hicolor_categories_24x24_preferences-calendar-and-tasks.svg
	hicolor_categories_24x24_preferences-certificates.svg
	hicolor_categories_24x24_preferences-composer.svg
	hicolor_categories_24x24_preferences-contact.svg
	hicolor_categories_24x24_preferences-mail.svg
	hicolor_categories_24x24_preferences-mail-accounts.svg
	hicolor_categories_24x24_preferences-system-network-proxy.svg
	hicolor_categories_48x48_preferences-autocompletion.png
	hicolor_categories_48x48_preferences-calendar-and-tasks.png
	hicolor_categories_48x48_preferences-certificates.png
	hicolor_categories_48x48_preferences-composer.png
	hicolor_categories_48x48_preferences-mail.png
	hicolor_categories_48x48_preferences-mail-accounts.png
	hicolor_categories_48x48_preferences-plugins.svg
	hicolor_categories_48x48_preferences-system-network-proxy.png
	hicolor_places_16x16_mail-inbox.png
	hicolor_places_16x16_mail-outbox.png
	hicolor_places_16x16_mail-sent.png
	hicolor_places_22x22_mail-inbox.png
	hicolor_places_22x22_mail-outbox.png
	hicolor_places_22x22_mail-sent.png
	hicolor_places_24x24_mail-inbox.png
	hicolor_places_24x24_mail-outbox.png
	hicolor_places_24x24_mail-sent.png
	hicolor_status_16x16_wrapped.png
	hicolor_status_32x32_offline.png
	hicolor_status_32x32_online.png
	hicolor_status_32x32_aspect-ratio-lock.png
	hicolor_status_32x32_aspect-ratio-unlock.png
)

# These icons were in gnome-icon-theme prior to GNOME 2.30.
# XXX Need to reevaluate which icons we really need and drop the rest.
#     Many are not Tango-compliant and look dated and out of place.
set(stock_private_icons
	hicolor_actions_16x16_stock_bell.png
	hicolor_actions_16x16_stock_contact-list.png
	hicolor_actions_16x16_stock_insert-note.png
	hicolor_actions_16x16_stock_insert-rule.png
	hicolor_actions_16x16_stock_insert-table.png
	hicolor_actions_16x16_stock_mail-filters-apply.png
	hicolor_actions_16x16_stock_mail-flag-for-followup-done.png
	hicolor_actions_16x16_stock_mail-flag-for-followup.png
	hicolor_actions_16x16_stock_mail-open-multiple.png
	hicolor_actions_16x16_stock_mail-unread-multiple.png
	hicolor_actions_16x16_stock_new-24h-appointment.png
	hicolor_actions_16x16_stock_notes.png
	hicolor_actions_16x16_stock_people.png
	hicolor_actions_16x16_stock_select-column.png
	hicolor_actions_16x16_stock_select-row.png
	hicolor_actions_16x16_stock_shared-by-me.png
	hicolor_actions_16x16_stock_shared-to-me.png
	hicolor_actions_16x16_stock_show-all.png
	hicolor_actions_16x16_stock_task-assigned-to.png
	hicolor_actions_16x16_stock_task-assigned.png
	hicolor_actions_16x16_stock_task-recurring.png
	hicolor_actions_16x16_stock_task.png
	hicolor_actions_16x16_stock_text-monospaced.png
	hicolor_actions_16x16_stock_timezone.png
	hicolor_actions_16x16_stock_todo.png
	hicolor_actions_16x16_stock_video-conferencing.png
	hicolor_actions_16x16_stock_view-details.png
	hicolor_actions_24x24_stock_new-24h-appointment.png
	hicolor_actions_24x24_stock_contact-list.png
	hicolor_actions_24x24_stock_insert-note.png
	hicolor_actions_24x24_stock_insert-rule.png
	hicolor_actions_24x24_stock_insert-table.png
	hicolor_actions_24x24_stock_mail-filters-apply.png
	hicolor_actions_24x24_stock_mail-open-multiple.png
	hicolor_actions_24x24_stock_mail-unread-multiple.png
	hicolor_actions_24x24_stock_notes.png
	hicolor_actions_24x24_stock_people.png
	hicolor_actions_24x24_stock_select-column.png
	hicolor_actions_24x24_stock_select-row.png
	hicolor_actions_24x24_stock_shared-by-me.png
	hicolor_actions_24x24_stock_shared-to-me.png
	hicolor_actions_24x24_stock_show-all.png
	hicolor_actions_24x24_stock_task-assigned-to.png
	hicolor_actions_24x24_stock_task-assigned.png
	hicolor_actions_24x24_stock_task-recurring.png
	hicolor_actions_24x24_stock_task.png
	hicolor_actions_24x24_stock_text-monospaced.png
	hicolor_actions_24x24_stock_timezone.png
	hicolor_actions_24x24_stock_todo.png
	hicolor_actions_24x24_stock_video-conferencing.png
	hicolor_actions_48x48_stock_alarm.png
	hicolor_actions_48x48_stock_mail-flag-for-followup-done.png
	hicolor_actions_48x48_stock_mail-flag-for-followup.png
	hicolor_actions_48x48_stock_new-24h-appointment.png
	hicolor_actions_48x48_stock_notes.png
	hicolor_actions_48x48_stock_people.png
	hicolor_actions_48x48_stock_timezone.png
	hicolor_actions_48x48_stock_todo.png
	hicolor_status_16x16_stock_check-filled.png
	hicolor_status_16x16_stock_score-high.png
	hicolor_status_16x16_stock_score-higher.png
	hicolor_status_16x16_stock_score-highest.png
	hicolor_status_16x16_stock_score-low.png
	hicolor_status_16x16_stock_score-lower.png
	hicolor_status_16x16_stock_score-lowest.png
	hicolor_status_16x16_stock_score-normal.png
	hicolor_status_16x16_stock_signature-bad.png
	hicolor_status_16x16_stock_signature-ok.png
	hicolor_status_16x16_stock_signature.png
	hicolor_status_24x24_stock_signature-bad.png
	hicolor_status_24x24_stock_signature-ok.png
	hicolor_status_24x24_stock_signature.png
	hicolor_status_48x48_stock_signature-bad.png
	hicolor_status_48x48_stock_signature-ok.png
	hicolor_status_48x48_stock_signature.png
)

# these are removed from the adwaita-icon-theme
set(legacy_private_icons
	hicolor_emblems_scalable_emblem-new.svg
	hicolor_status_8x8_emblem-default.png
	hicolor_status_8x8_emblem-new.png
	hicolor_status_16x16_accessories-text-editor.png
	hicolor_status_16x16_address-book-new.png
	hicolor_status_16x16_application-exit.png
	hicolor_status_16x16_applications-internet.png
	hicolor_status_16x16_appointment-new.png
	hicolor_status_16x16_contact-new.png

=== src/e-util/CMakeLists.txt ===
glib_mkenums(e-util-enumtypes e-util-enums.h E_UTIL_ENUMTYPES_H)
glib_genmarshal(e-marshal e_marshal e-marshal.list)

add_error_files(e-util
	e-system.error
	filter.error
	widgets.error
)

set(uifiles
	e-html-editor-manager.ui
	e-send-options.ui
	e-table-config.ui
	e-timezone-dialog.ui
	filter.ui
	gal-view-instance-save-as-dialog.ui
)

install(FILES ${uifiles}
	DESTINATION ${uidir}
)

set(PLATFORM_SOURCES)

if(WIN32)
	set(PLATFORM_SOURCES
		e-win32-reloc.c
		e-win32-defaults.c
		e-win32-defaults.h
	)
endif(WIN32)

glib_compile_resources(${CMAKE_SOURCE_DIR}/data/ ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource org_gnome_evolution ../../data/org.gnome.Evolution.gresource.xml ${CMAKE_SOURCE_DIR}/data/emoji.data)

# Main libevolution-util

set(DEPENDENCIES
	gnomecanvas
)

set(SOURCES
	e-accounts-window.c
	e-action-combo-box.c
	e-activity-bar.c
	e-activity-proxy.c
	e-activity.c
	e-alarm-selector.c
	e-alert-bar.c
	e-alert-dialog.c
	e-alert-sink.c
	e-alert.c
	e-attachment-bar.c
	e-attachment-dialog.c
	e-attachment-handler-image.c
	e-attachment-handler.c
	e-attachment-icon-view.c
	e-attachment-paned.c
	e-attachment-store.c
	e-attachment-tree-view.c
	e-attachment-view.c
	e-attachment.c
	e-auth-combo-box.c
	e-autocomplete-selector.c
	e-bit-array.c
	e-book-source-config.c
	e-cal-source-config.c
	e-calendar-item.c
	e-calendar.c
	e-canvas-background.c
	e-canvas-utils.c
	e-canvas-vbox.c
	e-canvas.c
	e-categories-config.c
	e-categories-dialog.c
	e-categories-editor.c
	e-categories-selector.c
	e-category-completion.c
	e-category-editor.c
	e-cell-checkbox.c
	e-cell-combo.c
	e-cell-date-edit.c
	e-cell-date-int.c
	e-cell-date.c
	e-cell-hbox.c
	e-cell-number.c
	e-cell-percent.c
	e-cell-pixbuf.c
	e-cell-popup.c
	e-cell-size.c
	e-cell-text.c
	e-cell-toggle.c
	e-cell-tree.c
	e-cell-vbox.c
	e-cell.c
	e-charset-combo-box.c
	e-charset.c
	e-client-cache.c
	e-client-combo-box.c
	e-client-selector.c
	e-collection-account-wizard.c
	e-color-chooser-widget.c
	e-color-combo.c
	e-color-scheme-watcher.c
	e-config.c
	e-config-lookup.c
	e-config-lookup-result.c
	e-config-lookup-result-simple.c
	e-config-lookup-worker.c
	e-conflict-search-selector.c
	e-contact-store.c
	e-content-editor.c
	e-content-request.c
	e-data-capture.c
	e-dateedit.c
	e-datetime-format.c
	e-destination-store.c
	e-dialog-utils.c
	e-dialog-widgets.c
	e-ellipsized-combo-box-text.c
	e-emoticon-action.c
	e-emoticon-chooser-menu.c
	e-emoticon-chooser.c
	e-emoticon-tool-button.c
	e-emoticon.c
	e-event.c
	e-file-request.c
	e-file-utils.c
	e-filter-code.c
	e-filter-color.c
	e-filter-datespec.c
	e-filter-element.c
	e-filter-file.c
	e-filter-input.c
	e-filter-int.c
	e-filter-label.c
	e-filter-option.c
	e-filter-part.c
	e-filter-rule.c
	e-focus-tracker.c
	e-gtkemojichooser.h
	e-gtkemojichooser.c
	e-html-editor-actions.c
	e-html-editor-cell-dialog.c
	e-html-editor-dialog.c
	e-html-editor-find-dialog.c
	e-html-editor-hrule-dialog.c
	e-html-editor-image-dialog.c
	e-html-editor-link-dialog.c
	e-html-editor-page-dialog.c
	e-html-editor-paragraph-dialog.c
	e-html-editor-private.h
	e-html-editor-replace-dialog.c
	e-html-editor-spell-check-dialog.c
	e-html-editor-table-dialog.c
	e-html-editor-text-dialog.c
	e-html-editor.c
	e-html-utils.c
	e-icon-factory.c
	e-image-chooser.c
	e-image-chooser-dialog.c
	e-import-assistant.c
	e-import.c
	e-interval-chooser.c
	e-mail-identity-combo-box.c
	e-mail-signature-combo-box.c
	e-mail-signature-editor.c
	e-mail-signature-manager.c
	e-mail-signature-preview.c
	e-mail-signature-script-dialog.c
	e-mail-signature-tree-view.c
	e-map.c
	e-markdown-editor.c
	e-markdown-utils.c
	e-marshal.c
	e-menu-tool-action.c
	e-menu-tool-button.c
	e-misc-utils.c
	e-mktemp.c
	e-name-selector-dialog.c
	e-name-selector-entry.c
	e-name-selector-list.c
	e-name-selector-model.c
	e-name-selector.c
	e-online-button.c
	e-paned.c
	e-passwords.c
	e-photo-cache.c
	e-photo-source.c
	e-picture-gallery.c
	e-plugin-ui.c
	e-plugin.c
	e-poolv.c
	e-popup-action.c
	e-popup-menu.c
	e-port-entry.c
	e-preferences-window.c
	e-preview-pane.c
	e-print.c
	e-printable.c
	e-proxy-combo-box.c
	e-proxy-editor.c
	e-proxy-link-selector.c
	e-proxy-preferences.c
	e-proxy-selector.c
	e-reflow-model.c
	e-reflow.c
	e-rule-context.c
	e-rule-editor.c
	e-search-bar.c
	e-selectable.c
	e-selection-model-array.c
	e-selection-model-simple.c
	e-selection-model.c
	e-selection.c
	e-send-options.c
	e-simple-async-result.c
	e-sorter-array.c
	e-sorter.c
	e-source-combo-box.c
	e-source-config-backend.c
	e-source-config-dialog.c
	e-source-config.c
	e-source-conflict-search.c
	e-source-selector-dialog.c
	e-source-selector.c
	e-source-util.c
	e-spell-checker.c
	e-spell-dictionary.c
	e-spell-entry.c
	e-spell-text-view.c
	e-spinner.c
	e-stock-request.c
	e-supported-locales-private.h
	e-table-click-to-add.c
	e-table-col.c
	e-table-column-selector.c
	e-table-column-specification.c
	e-table-config.c
	e-table-extras.c
	e-table-field-chooser-dialog.c
	e-table-field-chooser-item.c
	e-table-field-chooser.c
	e-table-group-container.c
	e-table-group-leaf.c
	e-table-group.c
	e-table-header-item.c
	e-table-header-utils.c
	e-table-header.c
	e-table-item.c
	e-table-model.c
	e-table-one.c
	e-table-search.c
	e-table-selection-model.c
	e-table-sort-info.c
	e-table-sorted-variable.c
	e-table-sorted.c
	e-table-sorter.c
	e-table-sorting-utils.c
	e-table-specification.c
	e-table-state.c
	e-table-subset-variable.c
	e-table-subset.c
	e-table-utils.c
	e-table.c
	e-text-event-processor-emacs-like.c
	e-text-event-processor.c
	e-text-model-repos.c
	e-text-model.c
	e-text.c
	e-timezone-dialog.c
	e-tree-model-generator.c
	e-tree-model.c
	e-tree-selection-model.c
	e-tree-table-adapter.c
	e-tree-view-frame.c
	e-tree.c
	e-unicode.c
	e-url-entry.c
	e-util-private.h
	e-webdav-browser.c
	e-web-view.c
	e-web-view-jsc-utils.c
	e-web-view-preview.c
	e-widget-undo.c
	e-xml-utils.c
	ea-calendar-cell.c
	ea-calendar-item.c
	ea-cell-table.c
	ea-widgets.c
	gal-a11y-e-cell-popup.c
	gal-a11y-e-cell-registry.c
	gal-a11y-e-cell-text.c
	gal-a11y-e-cell-toggle.c
	gal-a11y-e-cell-tree.c
	gal-a11y-e-cell-vbox.c
	gal-a11y-e-cell.c
	gal-a11y-e-table-click-to-add-factory.c
	gal-a11y-e-table-click-to-add.c
	gal-a11y-e-table-column-header.c
	gal-a11y-e-table-factory.c
	gal-a11y-e-table-item-factory.c
	gal-a11y-e-table-item.c
	gal-a11y-e-table.c
	gal-a11y-e-text-factory.c
	gal-a11y-e-text.c
	gal-a11y-e-tree-factory.c
	gal-a11y-e-tree.c
	gal-a11y-util.c
	gal-view-collection.c
	gal-view-etable.c
	gal-view-instance-save-as-dialog.c
	gal-view-instance.c
	gal-view.c
	${PLATFORM_SOURCES}
	${CMAKE_CURRENT_BINARY_DIR}/e-marshal.c
	${CMAKE_CURRENT_BINARY_DIR}/e-util-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource.c
	${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource.h
)

set(HEADERS
	e-util.h
	e-accounts-window.h
	e-action-combo-box.h
	e-activity-bar.h
	e-activity-proxy.h
	e-activity.h
	e-alarm-selector.h
	e-alert-bar.h
	e-alert-dialog.h
	e-alert-sink.h
	e-alert.h
	e-attachment-bar.h
	e-attachment-dialog.h
	e-attachment-handler-image.h
	e-attachment-handler.h
	e-attachment-icon-view.h
	e-attachment-paned.h
	e-attachment-store.h
	e-attachment-tree-view.h
	e-attachment-view.h
	e-attachment.h
	e-auth-combo-box.h
	e-autocomplete-selector.h
	e-bit-array.h
	e-book-source-config.h
	e-cal-source-config.h
	e-calendar-item.h
	e-calendar.h
	e-canvas-background.h
	e-canvas-utils.h
	e-canvas-vbox.h
	e-canvas.h
	e-categories-config.h
	e-categories-dialog.h
	e-categories-editor.h
	e-categories-selector.h
	e-category-completion.h
	e-category-editor.h
	e-cell-checkbox.h
	e-cell-combo.h
	e-cell-date-edit.h
	e-cell-date-int.h
	e-cell-date.h
	e-cell-hbox.h
	e-cell-number.h
	e-cell-percent.h
	e-cell-pixbuf.h
	e-cell-popup.h
	e-cell-size.h
	e-cell-text.h
	e-cell-toggle.h
	e-cell-tree.h
	e-cell-vbox.h
	e-cell.h
	e-charset-combo-box.h
	e-charset.h
	e-client-cache.h
	e-client-combo-box.h
	e-client-selector.h
	e-collection-account-wizard.h
	e-color-chooser-widget.h
	e-color-combo.h
	e-color-scheme-watcher.h
	e-config.h
	e-config-lookup.h
	e-config-lookup-result.h
	e-config-lookup-result-simple.h
	e-config-lookup-worker.h
	e-conflict-search-selector.h
	e-contact-store.h
	e-content-editor.h
	e-content-request.h
	e-data-capture.h
	e-dateedit.h
	e-datetime-format.h
	e-destination-store.h
	e-dialog-utils.h
	e-dialog-widgets.h
	e-ellipsized-combo-box-text.h
	e-emoticon-action.h
	e-emoticon-chooser-menu.h
	e-emoticon-chooser.h
	e-emoticon-tool-button.h
	e-emoticon.h
	e-event.h
	e-file-request.h
	e-file-utils.h
	e-filter-code.h
	e-filter-color.h
	e-filter-datespec.h
	e-filter-element.h
	e-filter-file.h
	e-filter-input.h
	e-filter-int.h
	e-filter-label.h
	e-filter-option.h
	e-filter-part.h
	e-filter-rule.h
	e-focus-tracker.h
	e-html-editor-actions.h
	e-html-editor-cell-dialog.h
	e-html-editor-dialog.h
	e-html-editor-find-dialog.h
	e-html-editor-hrule-dialog.h
	e-html-editor-image-dialog.h
	e-html-editor-link-dialog.h
	e-html-editor-page-dialog.h
	e-html-editor-paragraph-dialog.h
	e-html-editor-replace-dialog.h
	e-html-editor-spell-check-dialog.h
	e-html-editor-table-dialog.h
	e-html-editor-text-dialog.h
	e-html-editor.h
	e-html-utils.h
	e-icon-factory.h
	e-image-chooser.h
	e-image-chooser-dialog.h
	e-import-assistant.h
	e-import.h
	e-interval-chooser.h
	e-mail-identity-combo-box.h
	e-mail-signature-combo-box.h
	e-mail-signature-editor.h
	e-mail-signature-manager.h
	e-mail-signature-preview.h
	e-mail-signature-script-dialog.h
	e-mail-signature-tree-view.h
	e-map.h
	e-markdown-editor.h
	e-markdown-utils.h
	e-menu-tool-action.h
	e-menu-tool-button.h
	e-misc-utils.h
	e-mktemp.h
	e-name-selector-dialog.h
	e-name-selector-entry.h
	e-name-selector-list.h
	e-name-selector-model.h
	e-name-selector.h
	e-online-button.h
	e-paned.h
	e-passwords.h
	e-photo-cache.h
	e-photo-source.h
	e-picture-gallery.h
	e-plugin-ui.h
	e-plugin.h
	e-poolv.h
	e-popup-action.h
	e-popup-menu.h
	e-port-entry.h
	e-preferences-window.h
	e-preview-pane.h
	e-print.h
	e-printable.h
	e-proxy-combo-box.h
	e-proxy-editor.h
	e-proxy-link-selector.h
	e-proxy-preferences.h
	e-proxy-selector.h
	e-reflow-model.h
	e-reflow.h
	e-rule-context.h
	e-rule-editor.h
	e-search-bar.h
	e-selectable.h
	e-selection-model-array.h
	e-selection-model-simple.h
	e-selection-model.h
	e-selection.h
	e-send-options.h
	e-simple-async-result.h
	e-sorter-array.h
	e-sorter.h
	e-source-combo-box.h
	e-source-config-backend.h
	e-source-config-dialog.h
	e-source-config.h
	e-source-conflict-search.h
	e-source-selector-dialog.h
	e-source-selector.h
	e-source-util.h
	e-spell-checker.h
	e-spell-dictionary.h
	e-spell-entry.h
	e-spell-text-view.h
	e-spinner.h
	e-stock-request.h
	e-table-click-to-add.h
	e-table-col-dnd.h
	e-table-col.h
	e-table-column-selector.h
	e-table-column-specification.h
	e-table-config.h
	e-table-defines.h
	e-table-extras.h
	e-table-field-chooser-dialog.h
	e-table-field-chooser-item.h
	e-table-field-chooser.h
	e-table-group-container.h
	e-table-group-leaf.h
	e-table-group.h
	e-table-header-item.h
	e-table-header-utils.h
	e-table-header.h
	e-table-item.h
	e-table-model.h
	e-table-one.h
	e-table-search.h
	e-table-selection-model.h
	e-table-sort-info.h
	e-table-sorted-variable.h
	e-table-sorted.h
	e-table-sorter.h
	e-table-sorting-utils.h
	e-table-specification.h
	e-table-state.h
	e-table-subset-variable.h
	e-table-subset.h
	e-table-utils.h
	e-table.h
	e-text-event-processor-emacs-like.h
	e-text-event-processor-types.h
	e-text-event-processor.h
	e-text-model-repos.h
	e-text-model.h
	e-text.h
	e-timezone-dialog.h
	e-tree-model-generator.h
	e-tree-model.h
	e-tree-selection-model.h
	e-tree-table-adapter.h
	e-tree-view-frame.h
	e-tree.h
	e-unicode.h
	e-url-entry.h
	e-util-enums.h
	e-webdav-browser.h
	e-web-view.h
	e-web-view-jsc-utils.h
	e-web-view-preview.h
	e-widget-undo.h
	e-xml-utils.h
	ea-calendar-cell.h
	ea-calendar-item.h
	ea-cell-table.h
	ea-factory.h
	ea-widgets.h
	gal-a11y-e-cell-popup.h
	gal-a11y-e-cell-registry.h
	gal-a11y-e-cell-text.h
	gal-a11y-e-cell-toggle.h
	gal-a11y-e-cell-tree.h

=== src/modules/CMakeLists.txt ===
macro(add_simple_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar _destination)
	set(DEPENDENCIES
		evolution-util
	)

	set(SOURCES
		${${_sourcesvar}}
	)

	add_library(${_name} MODULE
		${SOURCES}
	)

	set_target_properties(${_name} PROPERTIES
		PREFIX ""
	)

	add_dependencies(${_name}
		${DEPENDENCIES}
		${${_depsvar}}
	)

	target_compile_definitions(${_name} PRIVATE
		-DG_LOG_DOMAIN=\"${_name}\"
		${${_defsvar}}
	)

	target_compile_options(${_name} PUBLIC
		${EVOLUTION_DATA_SERVER_CFLAGS}
		${GNOME_PLATFORM_CFLAGS}
		${${_cflagsvar}}
	)

	target_include_directories(${_name} PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_CURRENT_SOURCE_DIR}
		${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
		${GNOME_PLATFORM_INCLUDE_DIRS}
		${${_incdirsvar}}
	)

	target_link_libraries(${_name}
		${DEPENDENCIES}
		${${_depsvar}}
		${EVOLUTION_DATA_SERVER_LDFLAGS}
		${GNOME_PLATFORM_LDFLAGS}
		${${_ldflagsvar}}
	)

	install(TARGETS ${_name}
		DESTINATION ${_destination}
	)
endmacro(add_simple_module)

macro(add_evolution_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar)
	add_simple_module(${_name} ${_sourcesvar} ${_depsvar} ${_defsvar} ${_cflagsvar} ${_incdirsvar} ${_ldflagsvar} ${moduledir})
endmacro(add_evolution_module)

add_subdirectory(addressbook)
add_subdirectory(calendar)
add_subdirectory(mail)
add_subdirectory(accounts-window)
add_subdirectory(backup-restore)
add_subdirectory(book-config-carddav)
add_subdirectory(book-config-google)
add_subdirectory(book-config-local)
add_subdirectory(cal-config-caldav)
add_subdirectory(cal-config-contacts)
add_subdirectory(cal-config-google)
add_subdirectory(cal-config-local)
add_subdirectory(cal-config-webcal)
add_subdirectory(cal-config-webdav-notes)
add_subdirectory(composer-autosave)
add_subdirectory(composer-to-meeting)
add_subdirectory(config-lookup)
add_subdirectory(contact-photos)
add_subdirectory(gravatar)
add_subdirectory(itip-formatter)
add_subdirectory(mail-config)
add_subdirectory(mailto-handler)
add_subdirectory(mdn)
add_subdirectory(offline-alert)
add_subdirectory(plugin-lib)
add_subdirectory(plugin-manager)
add_subdirectory(prefer-plain)
add_subdirectory(settings)
add_subdirectory(startup-wizard)
add_subdirectory(vcard-inline)
add_subdirectory(webkit-editor)
add_subdirectory(webkit-inspector)

if(ENABLE_ALARM_NOTIFY_MODULE)
add_subdirectory(alarm-notify)
endif(ENABLE_ALARM_NOTIFY_MODULE)

if(ENABLE_TEXT_HIGHLIGHT)
	add_subdirectory(text-highlight)
endif(ENABLE_TEXT_HIGHLIGHT)

if(ENABLE_WEATHER)
	add_subdirectory(cal-config-weather)
endif(ENABLE_WEATHER)

if(ENABLE_YTNEF)
	add_subdirectory(tnef-attachment)
endif(ENABLE_YTNEF)

if(HAVE_LDAP)
	add_subdirectory(book-config-ldap)
endif(HAVE_LDAP)

if(WITH_BOGOFILTER)
	add_subdirectory(bogofilter)
endif(WITH_BOGOFILTER)

if(WITH_SPAMASSASSIN)
	add_subdirectory(spamassassin)
endif(WITH_SPAMASSASSIN)

=== src/shell/CMakeLists.txt ===
glib_mkenums(e-shell-enumtypes e-shell.h E_SHELL_ENUMTYPES_H)
add_error_files(shell shell.error)

configure_file(evo-version.h.in
	evo-version.h
	@ONLY
)

# ******************************
# evolution-shell library
# ******************************

set(DEPENDENCIES
	evolution-util
)

set(SOURCES
	e-shell.c
	e-shell-backend.c
	e-shell-content.c
	e-shell-enumtypes.c
	e-shell-searchbar.c
	e-shell-sidebar.c
	e-shell-switcher.c
	e-shell-taskbar.c
	e-shell-utils.c
	e-shell-view.c
	e-shell-window.c
	e-shell-window-private.c
	e-shell-window-private.h
	e-shell-migrate.c
	e-shell-migrate.h
	e-shell-window-actions.c
	${CMAKE_CURRENT_BINARY_DIR}/e-shell-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/evo-version.h
)

set(HEADERS
	e-shell.h
	e-shell-backend.h
	e-shell-common.h
	e-shell-content.h
	e-shell-searchbar.h
	e-shell-sidebar.h
	e-shell-switcher.h
	e-shell-taskbar.h
	e-shell-utils.h
	e-shell-view.h
	e-shell-window.h
	e-shell-window-actions.h
	${CMAKE_CURRENT_BINARY_DIR}/e-shell-enumtypes.h
)

add_library(evolution-shell SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(evolution-shell
	${DEPENDENCIES}
)

target_compile_definitions(evolution-shell PRIVATE
	-DG_LOG_DOMAIN=\"evolution-shell\"
	-DEVOLUTION_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DEVOLUTION_GALVIEWSDIR=\"${viewsdir}\"
	-DEVOLUTION_HELPDIR=\"${evolutionhelpdir}\"
	-DEVOLUTION_ICONDIR=\"${icondir}\"
	-DEVOLUTION_MODULEDIR=\"${moduledir}\"
	-DEVOLUTION_RULEDIR=\"${privdatadir}\"
	-DE_DATA_SERVER_ICONDIR=\"${E_DATA_SERVER_ICONDIR}\"
)

target_compile_options(evolution-shell PUBLIC
	${CLUTTER_GTK_CFLAGS}
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(evolution-shell PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CLUTTER_GTK_INCLUDE_DIRS}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(evolution-shell
	${DEPENDENCIES}
	${CLUTTER_GTK_LDFLAGS}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS evolution-shell
	DESTINATION ${privsolibdir}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/shell
)

# ******************************
# evolution binary
# ******************************

set(DEPENDENCIES
	evolution-util
	evolution-shell
)

set(SOURCES
	main.c
	e-convert-local-mail.c
	e-migrate-base-dirs.c
)

add_executable(evolution
	${SOURCES}
)

add_dependencies(evolution
	${DEPENDENCIES}
)

target_compile_definitions(evolution PRIVATE
	-DG_LOG_DOMAIN=\"evolution\"
	-DEVOLUTION_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DEVOLUTION_GALVIEWSDIR=\"${viewsdir}\"
	-DEVOLUTION_HELPDIR=\"${evolutionhelpdir}\"
	-DEVOLUTION_ICONDIR=\"${icondir}\"
	-DEVOLUTION_ICONDIR_IN_PREFIX=\"${SHARE_INSTALL_PREFIX}/icons\"
	-DEVOLUTION_MODULEDIR=\"${moduledir}\"
	-DEVOLUTION_PREFIX=\"${CMAKE_INSTALL_PREFIX}\"
	-DEVOLUTION_RULEDIR=\"${privdatadir}\"
	-DEVOLUTION_TOOLSDIR=\"${privlibexecdir}\"
	-DE_DATA_SERVER_ICONDIR=\"${E_DATA_SERVER_ICONDIR}\"
)

target_compile_options(evolution PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
	${CLUTTER_GTK_CFLAGS}
)

target_include_directories(evolution PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
	${CLUTTER_GTK_INCLUDE_DIRS}
)

target_link_libraries(evolution
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
	${CLUTTER_GTK_LDFLAGS}
)

if(WIN32)
	find_program(WINDRES windres)
	if(WINDRES)
		add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/evolution-icon.o
			COMMAND ${WINDRES} ${CMAKE_CURRENT_SOURCE_DIR}/evolution-icon.rc ${CMAKE_CURRENT_BINARY_DIR}/evolution-icon.o
			DEPENDS evolution-icon.rc
				evolution.ico
				evolution-mail.ico
				evolution-memos.ico
				evolution-tasks.ico
		)

		target_link_libraries(evolution
			${CMAKE_CURRENT_BINARY_DIR}/evolution-icon.o
		)
	endif(WINDRES)
endif(WIN32)

install(TARGETS evolution
	DESTINATION ${BIN_INSTALL_DIR}
)

# ******************************
# killev binary
# ******************************

if(NOT WIN32)
	set(SOURCES
		killev.c
	)

	add_executable(killev
		${SOURCES}
	)

	target_compile_definitions(killev PRIVATE
		-DG_LOG_DOMAIN=\"killev\"
		-DEVOLUTION_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	)

	target_compile_options(killev PUBLIC
		${EVOLUTION_DATA_SERVER_CFLAGS}
		${GNOME_PLATFORM_CFLAGS}
	)

	target_include_directories(killev PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_CURRENT_BINARY_DIR}
		${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
		${GNOME_PLATFORM_INCLUDE_DIRS}
	)

	target_link_libraries(killev
		${DEPENDENCIES}
		${EVOLUTION_DATA_SERVER_LDFLAGS}
		${GNOME_PLATFORM_LDFLAGS}
	)

	install(TARGETS killev
		DESTINATION ${privlibexecdir}
	)
endif(NOT WIN32)

=== src/mail/importers/CMakeLists.txt ===
set(DEPENDENCIES
	email-engine
	evolution-mail
	evolution-shell
	evolution-util
)

set(SOURCES
	kmail-libs.c
	kmail-libs.h
	kmail-importer.c
	mail-importer.c
	mail-importer.h
	elm-importer.c
	pine-importer.c
	evolution-mbox-importer.c
)

add_library(evolution-mail-importers SHARED
	${SOURCES}
)

add_dependencies(evolution-mail-importers
	${DEPENDENCIES}
)

target_compile_definitions(evolution-mail-importers PRIVATE
	-DG_LOG_DOMAIN=\"evolution-mail-importers\"
	-DEVOLUTION_PRIVDATADIR=\"${privdatadir}\"
	-DEVOLUTION_ETSPECDIR=\"${etspecdir}\"
)

target_compile_options(evolution-mail-importers PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(evolution-mail-importers PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src/mail
	${CMAKE_SOURCE_DIR}/src/mail
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(evolution-mail-importers
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS evolution-mail-importers
	DESTINATION ${privsolibdir}
)

=== src/modules/book-config-google/CMakeLists.txt ===
set(extra_deps)
set(sources
	e-google-book-chooser-button.c
	e-google-book-chooser-button.h
	evolution-book-config-google.c
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_evolution_module(module-book-config-google
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== src/modules/cal-config-local/CMakeLists.txt ===
set(extra_deps
	evolution-calendar
)
set(sources
	evolution-cal-config-local.c
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_evolution_module(module-cal-config-local
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== src/modules/composer-autosave/CMakeLists.txt ===
set(extra_deps
	evolution-mail-composer
	evolution-shell
)
set(sources
	evolution-composer-autosave.c
	e-autosave-utils.c
	e-autosave-utils.h
	e-composer-autosave.c
	e-composer-autosave.h
	e-composer-registry.c
	e-composer-registry.h
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_evolution_module(module-composer-autosave
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== src/modules/prefer-plain/CMakeLists.txt ===
set(extra_deps
	evolution-mail
	evolution-mail-formatter
	evolution-shell
)
set(sources
	e-mail-parser-prefer-plain.c
	e-mail-parser-prefer-plain.h
	e-mail-display-popup-prefer-plain.c
	e-mail-display-popup-prefer-plain.h
	evolution-module-prefer-plain.c
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_evolution_module(module-prefer-plain
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

add_subdirectory(plugin)

=== src/plugins/bbdb/CMakeLists.txt ===
add_eplug_file(bbdb org-gnome-evolution-bbdb.eplug)

set(DEPENDENCIES
	eabutil
	econtacteditor
	econtactlisteditor
	evolution-mail
	evolution-mail-composer
	evolution-shell
	evolution-util
)

set(SOURCES
	bbdb.c
	bbdb.h
	gaimbuddies.c
)

add_library(org-gnome-evolution-bbdb MODULE
	${SOURCES}
)

add_dependencies(org-gnome-evolution-bbdb
	${DEPENDENCIES}
)

target_compile_definitions(org-gnome-evolution-bbdb PRIVATE
	-DG_LOG_DOMAIN=\"bbdb\"
)

target_compile_options(org-gnome-evolution-bbdb PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(org-gnome-evolution-bbdb PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(org-gnome-evolution-bbdb
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS org-gnome-evolution-bbdb
	DESTINATION ${plugindir}
)

=== src/plugins/templates/CMakeLists.txt ===
add_eplug_file(templates org-gnome-templates.eplug)

set(DEPENDENCIES
	email-engine
	evolution-mail
	evolution-mail-composer
	evolution-shell
	evolution-util
)

set(SOURCES
	templates.c
)

add_library(org-gnome-templates MODULE
	${SOURCES}
)

add_dependencies(org-gnome-templates
	${DEPENDENCIES}
)

target_compile_definitions(org-gnome-templates PRIVATE
	-DG_LOG_DOMAIN=\"templates\"
)

target_compile_options(org-gnome-templates PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(org-gnome-templates PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(org-gnome-templates
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS org-gnome-templates
	DESTINATION ${plugindir}
)

=== debian/changelog ===
evolution (3.44.4-0ubuntu2) jammy-security; urgency=medium

  * Cherry-pick 3.44 series patches to adapt to webkit2gtk 2.40
  * Cherry-pick more patches from 3.48.4 for webkit2gtk 2.40

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jul 2023 07:31:47 -0400

evolution (3.44.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1976623)
  * Bump e-d-s dependencies and build-dependencies to 3.44.3

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 10 Aug 2022 12:12:31 -0400

evolution (3.44.2-0ubuntu2) jammy; urgency=medium

  * New upstream release (LP: #1976623)
  * Bump e-d-s dependencies and build-dependencies to 3.44.2

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 02 Jun 2022 13:09:57 -0300

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               dh-sequence-gnome,
               dpkg-dev (>= 1.16.1),
               libchamplain-gtk-0.12-dev,
               libglib2.0-dev (>= 2.56),
               libgtk-3-dev (>= 3.10.0),
               libgail-3-dev (>= 3.0.2),
               libgdk-pixbuf2.0-dev (>= 2.24.0),
               libcamel1.2-dev (>= 3.44.3),
               libcmark-dev,
               libebook1.2-dev (>= 3.44.3),
               libecal2.0-dev (>= 3.44.3),
               libedataserver1.2-dev (>= 3.44.3),
               libedataserverui1.2-dev (>= 3.44.3),
               libebackend1.2-dev (>= 3.44.3),
               evolution-data-server-dev (>= 3.44.3),
               evolution-data-server-dev (<< 3.45),
               libwebkit2gtk-4.0-dev (>= 2.28),
               libgcr-3-dev (>= 3.4),
               libgeocode-glib-dev (>= 3.10),
               libgnome-desktop-3-dev (>= 3.8.0),
               libgspell-1-dev,
               libsoup2.4-dev (>= 2.42),
               libsqlite3-dev (>= 3.7.17),
               libxml2-dev (>= 2.7.3),
               libenchant-2-dev (>= 2.2.0),
               shared-mime-info (>= 0.22),
               libnotify-dev (>= 0.7),
               libgweather-3-dev (>= 3.10.0),
               libcanberra-gtk3-dev (>= 0.25),
               intltool (>= 0.40.0),
               itstool,
               libtool (>= 2.2),
               pkg-config (>= 0.16.0),
               gtk-doc-tools (>= 1.14),
               libcairo2-dev (>= 1.10),
               libatk1.0-dev,
               x11proto-core-dev,
               libldap2-dev,
               libnspr4-dev,
               libnss3-dev,
               psmisc,
               libytnef0-dev,
               libical-dev (>= 2.0.0),
               libpst-dev (>= 0.6.54),
               libsm-dev,
               libice-dev,
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libclutter-gtk-1.0-dev (>= 0.90),
               highlight,
               libcryptui-dev,
               libgnome-autoar-0-dev (>= 0.1.1),
               libgnome-autoar-gtk-0-dev (>= 0.1.1),
               libunity-dev,
Standards-Version: 4.5.0
X-Ubuntu-Use-Langpack: yes
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/evolution.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/evolution
Vcs-Git: https://salsa.debian.org/gnome-team/evolution.git/tree/ubuntu/jammy
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution -b ubuntu/jammy
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common (= ${source:Version}),
         evolution-data-server (>= 3.44.3),
         evolution-data-server (<< 3.45),
         dbus,
         psmisc
Recommends: evolution-plugins,
            evolution-plugin-bogofilter | evolution-plugin-spamassassin,
            evolution-plugin-pstimport,
            yelp
Suggests: evolution-ews,
          evolution-plugins-experimental,
          gnupg,
          network-manager
Provides: mail-reader,
          imap-client
Breaks: evolution-common (<< 3.20.4-1~)
Replaces: evolution-common (<< 3.20.4-1~)
Description: groupware suite with mail client and organizer
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 Additional features include integration with Exchange
 servers, newsgroup client, LDAP support and web calendars
 .
 The following plugins belonging to the "base" set are included.
  - calendar-file
  - calendar-http
  - itip-formatter
  - default-source
  - addressbook-file
  - mark-all-read
  - publish-calendar
  - caldav
  - imap-features
  - google-account-setup
  - webdav-account-setup
  - calendar-weather
  - sa-junk-plugin
  - bogo-junk-pluginm

Package: libevolution
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         evolution-common (= ${source:Version}),
Description: evolution libraries
 This package contains libraries used by Evolution.

Package: evolution-common
Architecture: all
Depends: ${misc:Depends}
Recommends: evolution
Description: architecture independent files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains the architecture independent files needed
 by the evolution package.

Package: evolution-dev
Section: devel
Architecture: any
Depends: libevolution (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libenchant-2-dev (>= 2.2.0),
# evolution-plugin
         libcamel1.2-dev,
# evolution-shell
         libebackend1.2-dev,
         libgtk-3-dev (>= 3.10),
         libgnome-desktop-3-dev,
         libwebkit2gtk-4.0-dev (>= 2.13.90),
         libedataserver1.2-dev,
         libedataserverui1.2-dev,
Description: development library files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains header and static library files
 for developing Evolution components.

Package: evolution-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Recommends: notification-daemon
Description: standard plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for evolution. The plugins belong
 to the set of "standard" plugins, which are useful, but not
 necessary for a functioning application.
 .
 The following standard plugins are included.
  - attachment-reminder
  - bbdb
  - dbx-import
  - email-custom-header
  - face
  - mailing-list-actions
  - mail-notification
  - mail-to-task
  - prefer-plain
  - save-calendar
  - sender-validator
  - templates

Package: evolution-plugins-experimental
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Description: experimental plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for Evolution. The plugins belong
 to the set of "experimental" plugins, which are unsupported, have
 undergone little testing, and might cause problems to the rest of
 Evolution. Use with care.
 .
 The following plugins are included.
  - external-editor
  - contacts-map

Package: evolution-plugin-bogofilter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         bogofilter
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (bogofilter)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the bogofilter spam filter module for Evolution.

Package: evolution-plugin-pstimport
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
Breaks: evolution-common (<< 3.25.91),
        evolution-plugins (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (pstimport)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes a plugin for Evolution that enables importing
 Microsoft Outlook messages from a PST file.

Package: evolution-plugin-spamassassin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         spamassassin,
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (spamassassin)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the spamassasin spam filter module for Evolution.

#Package: evolution-tests
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#Description: Installed tests for Evolution
# Evolution is a groupware suite which integrates mail, calendar,
# address book, to-do list and memo tools.
# .
# This package contains test programs, designed to be run as part of a
# regression testsuite.
